---
updatedAt: 2025-09-18T21:52:30.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# eth_getStorageAt

Returns the value from a storage position at a given address.

> 📘 Supported on Avalanche C-Chain (mainnet) only.

## Parameters

* `address` - The address to check for storage.
* `quantity` - Integer of the position in storage.
* `quantity | tag` - Integer block number, or the string 'latest, 'earliest' or 'pending.

## Returns

* `result` - the value at this storage position.

## API Endpoint

The format of an Avalanche C-Chain API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/rpc` - for RPC API\
`https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/avax` - for AVAX API

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/avalanche-c/ext/bc/C/rpc`\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/avalanche-c/ext/bc/C/avax`

## Example

**Request**

```
curl https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/rpc \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getStorageAt","params":["0x295a70b2de5e3953354a6a8344e616ed314d7251", "0x6661e9d6d8b923d5bbaab1b96e1dd51ff6ea2a93520fdc9eb75d059238b8c5e9", "0x65a8db"],"id":1,"jsonrpc":"2.0"}'

```

**Result**

```
{
"jsonrpc":"2.0",
"id":1,
"result":"0x00000000000000000000000000000000000000000000000000000000000004d2"
}
```